• Dmitry Antipov's avatar
    * configure.ac: Do not check for g_type_init because we · 19452b86
    Dmitry Antipov authored
    require glib >= 2.28 for GTK3, glib >= 2.10 for GTK2,
    glib >= 2.26 for GSettings and glib >= 2.7.0 for GConf, so
    suitable glib should provide g_type_init unconditionally.
    * src/image.c (fn_g_type_init) [WINDOWSNT]: Define and load
    only if Glib < 2.36.0.
    (fn_g_type_init) [!WINDOWSNT]: Define only if Glib < 2.36.0.
    * src/xsettings.c (init_gconf, init_gsettings): Do not check
    for g_type_init.
    19452b86
image.c 251 KB